<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str = $_GET[id_str];
$id_par = $_GET[id_par];

// list expected fields
$expected = array('new_datum','q_naslov_file','new_file','q_model');
// set req_uired fields
$required = array('new_datum','q_naslov_file','new_file','q_model');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing) && $_FILES['new_file']['size'])  {
	
	
	//uredi tekst
	$q_naslov_file=uredi_var($q_naslov_file);
	
	//iz prosljeđenog datuma rasturi dan, mjesec i godinu
	$contents = explode(".", $new_datum);
	//naši dani u tjednu
	$weekday = array("Nedjelja","Ponedjeljak","Utorak","Srijeda","&#268;etvrtak","Petak","Subota");
	$q_datum_prikaz=$contents[2].'-'.$contents[1].'-'.$contents[0]; //zapis za bazu
	$new_date=strtotime($q_datum_prikaz);
	$wday=date("w","$new_date");
	$q_dan = $weekday[$wday];//zapis za bazu - dan u tjednu
	
	//pripremi ime datoteke
	$swatch = date("B");
	srand((double)microtime() * 1000000);
	$swatch .= rand(5, 16725);
	$file_ime = $contents[2].'-'.$contents[1].'-'.$contents[0].'_'.$swatch.'_'.$_FILES['new_file']['name']; 
	$file_ime = uredi_fajl($file_ime);
	
	//kreiraj velicinu
	$velicina = $_FILES['new_file']['size'] / 1024;
	$velicina = round($velicina);
	$velicina .= 'kb';

	
	$new_fajl='';
	
	//pripremi za unos u bazu
	$q_naslov_file_mysql=mysql_real_escape_string($q_naslov_file);
	$q_file_ime_mysql=mysql_real_escape_string($file_ime);	
	$result = mysql_query("insert into b7_paragraf_upload values (
							'',
							'$id_par',
							'$id_str',
							'$id_kat',
							'$id_rub',
							'$q_file_ime_mysql',
							'$q_datum_prikaz',
							'$q_dan',
							'$q_naslov_file_mysql',
							'$velicina',
							now(),
							'$log_username'
							 )");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error().'<br />';
	} else {
		$uspjeh.='Uspješno je dodan novi file u bazu<br />';
		
		//spremi file
		$new_putanja = $parametar_upload_direktorij . $file_ime;
		$rez=move_uploaded_file($_FILES['new_file']['tmp_name'],$new_putanja);
		
		if (!$rez) {
			$error.='Dogodila se greška pri zapisu fajla na disk <br />';
		} 
		
		//zapis teksta
		include ("func/uredi_tekst_upload.php");
		$q_tekst=uredi_tekst_upload($id_par, "upload/paragraf/", $parametar_domena, $conn); 

		//spremi tekst u bazu
		//pripremi za unos u bazu
		$q_tekst_mysql=mysql_real_escape_string($q_tekst);
	
		$result = mysql_query("update b7_paragraf_tekst set		
							tekst='$q_tekst_mysql',
							user='$log_username',
							datum=now() 
							where id_paragraf='$id_par'");
		
		if (!$result) {
			$error.='Dogodila se greška pri zapisu u bazu: <br />'.mysql_error().'<br />';
		} 
		
		//ucitaj ime fajla
		$sql98="SELECT fajl FROM b7_paragraf WHERE id_paragraf='$id_par'";	
		$rez98=mysql_query($sql98,$conn);
		$row98=mysql_fetch_array($rez98);
		$new_fajl=$row98['fajl'];
		
		//spremi tekst u fajl
		$file2open = $parametar_tekst_direktorij . $new_fajl;
		if (!$listfile = fopen($file2open, 'w'))
		{
			$error.= 'dogodila se gre&#353;ka prilikom kreacije fajla.<br />';
		} else
		{
			fwrite($listfile, $q_tekst);
			if (!fclose($listfile))
			{
				$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.<br />';
			}
		}
		
		
	}				
	
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}

if ($error) echo '<div class="greska">'.$error.'</div><br />'."\n";
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div><br />'."\n";
?>